%define upstream_name    Dist-Zilla-Plugin-ChangeStats-Git
%define upstream_version 0.2.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provides an accessor for the changelog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes) >= 0.170.0
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Repository)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Load)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(MooseX::Role::Parameterized)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Perl::Version)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Adds a line to the changelog giving some stats about the code churn since
the last release, which will look like:

  - code churn: 6 files changed, 111 insertions(+), 1 deletions(-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 526888
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.2.1-1.mga4
+ Revision: 439087
- update to 0.2.1

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 366069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.1.3-1.mga3
+ Revision: 267246
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Plugin-ChangeStats-Git


* Mon Jul 02 2012 cpan2dist 0.1.3-1mga
- initial mageia release, generated with cpan2dist
